require "rspec/expect_error/version"
require "rspec"

module RSpec
  module ExpectError
    def expect_error(error = nil, &block)
      error ? expect { yield }.to(raise_error(error)) : expect { yield }.to(raise_error)
    end

    def expect_no_error(error = nil, &block)
      error ? expect { yield }.not_to(raise_error(error)) : expect { yield }.not_to(raise_error)
    end
  end
end

RSpec.configure do |config|
  config.include RSpec::ExpectError
end
